CVE-2018-7253

CVE: CVE-2018-7253
Published: 2018-02-19T23:29Z
Description Language: en
Description: The ParseDsdiffHeaderConfig function of the cli/dsdiff.c file of WavPack 5.1.0 allows a remote attacker to cause a denial-of-service (heap-based buffer over-read) or possibly overwrite the heap via a maliciously crafted DSDIFF file.
References:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=889559
https://github.com/dbry/WavPack/commit/36a24c7881427d2e1e4dc1cef58f19eee0d13aec
https://github.com/dbry/WavPack/issues/28
https://www.debian.org/security/2018/dsa-4125